#
# Conditional build:
%bcond_with	gtk4	# GTK+ 4 based library [doesn't build with 3.90]

Summary:	VTE terminal widget library
Summary(pl.UTF-8):	Biblioteka z kontrolką terminala VTE
Name:		vte
Version:	0.58.3
Release:	1
# some files have LGPL v2.1+ signature, but some LGPL v3+
License:	LGPL v3+ (library), GPL v3+ (app)
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vte/0.58/%{name}-%{version}.tar.xz
# Source0-md5:	f59eb0784a361c0939c03d4566255916
Patch0:		%{name}-wordsep.patch
BuildRequires:	cairo-gobject-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	fribidi-devel >= 1.0.0
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gnutls-devel >= 3.2.7
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gperf
BuildRequires:	gtk+3-devel >= 3.8.0
%{?with_gtk4:BuildRequires:	gtk+4-devel >= 4.0.0}
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	intltool >= 0.40.0
# C++17 support (-std=gnu++17, with constexpr lambdas support)
BuildRequires:	libstdc++-devel >= 6:7.0
BuildRequires:	libxml2-progs >= 2
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pango-devel >= 1:1.22.0
BuildRequires:	pcre2-8-devel >= 10.21
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.24
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	fribidi >= 1.0.0
Requires:	glib2 >= 1:2.40.0
Requires:	gnutls >= 3.2.7
Requires:	gtk+3 >= 3.8.0
Requires:	pango >= 1:1.22.0
Obsoletes:	vte-common < 0.42.0
Obsoletes:	vte-glade < 0.58.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The vte package contains a terminal widget for GTK+ 3.x. It's used by
gnome-terminal among other programs.

%description -l pl.UTF-8
Ten pakiet zawiera kontrolkę terminala dla GTK+ 3.x. Jest używany
przez gnome-terminal oraz inne programy.

%package devel
Summary:	Header files for VTE for GTK+ 3
Summary(pl.UTF-8):	Pliki nagłówkowe VTE dla GTK+ 3
License:	LGPL v3+
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gtk+3-devel >= 3.8.0
Requires:	pango-devel >= 1:1.22.0
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
This package contains header files for GTK+ 3 based vte library.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów używających
biblioteki vte opartej na GTK+ 3.

%package -n vala-vte
Summary:	Vala API for VTE library
Summary(pl.UTF-8):	API języka Vala dla biblioteki VTE
License:	LGPL v3+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.24
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-vte
Vala API for VTE library.

%description -n vala-vte -l pl.UTF-8
API języka Vala dla biblioteki VTE.

%package apidocs
Summary:	VTE API documentation (GTK+ 3 version)
Summary(pl.UTF-8):	Dokumentacja API VTE (wersja dla GTK+ 3)
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
VTE API documentation (GTK+ 3 version).

%description apidocs -l pl.UTF-8
Dokumentacja API VTE (wersja dla GTK+ 3).

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Ddocs=true \
	-Dgtk3=true \
	-Dgtk4=%{__true_false gtk4}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}-2.91

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f vte-2.91.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/vte-2.91
%attr(755,root,root) %{_libdir}/libvte-2.91.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvte-2.91.so.0
%{_libdir}/girepository-1.0/Vte-2.91.typelib
%config(noreplace) %verify(not md5 mtime size) /etc/profile.d/vte.sh

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvte-2.91.so
%{_includedir}/vte-2.91
%{_pkgconfigdir}/vte-2.91.pc
%{_datadir}/gir-1.0/Vte-2.91.gir

%files -n vala-vte
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/vte-2.91.deps
%{_datadir}/vala/vapi/vte-2.91.vapi

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/vte-2.91
%changelog
* Sat Nov 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vte.git;a=log;h=master

* Mon Nov 25 2019 Jan Palus <atler@pld-linux.org> 43314b7
- up to 0.58.3

* Sat Oct 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 6efa457
- updated to 0.58.2

* Tue Oct 08 2019 Jan Palus <atler@pld-linux.org> c94ab8e
- up to 0.58.1

* Tue Sep 10 2019 Jan Palus <atler@pld-linux.org> c2c0613
- up to 0.58.0

* Tue May 07 2019 Jan Palus <atler@pld-linux.org> 541530f
- up to 0.56.3

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 9c90b1c
- updated dependencies

* Wed Apr 24 2019 Jan Palus <atler@pld-linux.org> 94e9805
- up to 0.56.2

* Fri Apr 12 2019 Jan Palus <atler@pld-linux.org> dcbefd6
- quick fix for missing -lpthread after dropping *.la files in cairo; rel 2

* Tue Apr 09 2019 Jan Palus <atler@pld-linux.org> 3814596
- up to 0.56.1

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> d0a800b
- up to 0.56.0

* Tue Dec 11 2018 Jan Palus <atler@pld-linux.org> 4702eee
- up to 0.54.3

* Tue Oct 30 2018 Jakub Bogusz <qboosh@pld-linux.org> b3bc03d
- require gcc 5.0 (uses C++14)

* Tue Oct 23 2018 Jan Palus <atler@pld-linux.org> 26218df
- up to 0.54.2

* Thu Sep 27 2018 Jan Palus <atler@pld-linux.org> 22bb976
- up to 0.54.1

* Wed Sep 19 2018 Jan Palus <atler@pld-linux.org> a8e6947
- up to 0.54.0

* Fri May 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 169c633
- Update to 0.52.2

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 44f50e0
- Update to 0.52.0

* Tue Jan 09 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 8f53390
- Update to 0.50.2

* Sat Oct 07 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6a626ad
- Update to 0.50.1

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6a52419
- Update to 0.50.0

